Create a new agent
curl --request POST \
--url https://api.example.com/agent/ \
--header 'Content-Type: application/json' \
--header 'x-user-id: <x-user-id>' \
--data @- <<EOF
{
"name": "<string>",
"system_prompt": "You're a helpful assistant.",
"context_config": {
"trigger_ratio": 0.8,
"reserve_ratio": 0.1,
"compression_prompt": "<system-hint>You have been working on the task described above but have not yet completed it. Now write a continuation summary that will allow you to resume work efficiently in a future context window where the conversation history will be replaced with this summary. Your summary should be structured, concise, and actionable.</system-hint>",
"summary_template": "<system-info>Here is a summary of your previous work\n# Task Overview\n{task_overview}\n\n# Current State\n{current_state}\n\n# Important Discoveries\n{important_discoveries}\n\n# Next Steps\n{next_steps}\n\n# Context to Preserve\n{context_to_preserve}</system-info>",
"summary_schema": {},
"tool_result_limit": 3000
},
"react_config": {
"max_iters": 20,
"stop_on_reject": false
}
}
EOFimport requests
url = "https://api.example.com/agent/"
payload = {
"name": "<string>",
"system_prompt": "You're a helpful assistant.",
"context_config": {
"trigger_ratio": 0.8,
"reserve_ratio": 0.1,
"compression_prompt": "<system-hint>You have been working on the task described above but have not yet completed it. Now write a continuation summary that will allow you to resume work efficiently in a future context window where the conversation history will be replaced with this summary. Your summary should be structured, concise, and actionable.</system-hint>",
"summary_template": "<system-info>Here is a summary of your previous work
# Task Overview
{task_overview}
# Current State
{current_state}
# Important Discoveries
{important_discoveries}
# Next Steps
{next_steps}
# Context to Preserve
{context_to_preserve}</system-info>",
"summary_schema": {},
"tool_result_limit": 3000
},
"react_config": {
"max_iters": 20,
"stop_on_reject": False
}
}
headers = {
"x-user-id": "<x-user-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-user-id': '<x-user-id>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
system_prompt: 'You\'re a helpful assistant.',
context_config: {
trigger_ratio: 0.8,
reserve_ratio: 0.1,
compression_prompt: '<system-hint>You have been working on the task described above but have not yet completed it. Now write a continuation summary that will allow you to resume work efficiently in a future context window where the conversation history will be replaced with this summary. Your summary should be structured, concise, and actionable.</system-hint>',
summary_template: '<system-info>Here is a summary of your previous work\n# Task Overview\n{task_overview}\n\n# Current State\n{current_state}\n\n# Important Discoveries\n{important_discoveries}\n\n# Next Steps\n{next_steps}\n\n# Context to Preserve\n{context_to_preserve}</system-info>',
summary_schema: {},
tool_result_limit: 3000
},
react_config: {max_iters: 20, stop_on_reject: false}
})
};
fetch('https://api.example.com/agent/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}agent
Create a new agent
Create and persist a new agent configuration.
Args:
body (CreateAgentRequest):
Agent configuration to store.
user_id (str):
Injected authenticated user ID.
storage (StorageBase):
Injected storage backend.
Returns:
CreateAgentResponse:
The server-assigned agent identifier.
POST
/
agent
/
Create a new agent
Headers
Caller's user ID. Temporary header-based identity; will be replaced by JWT auth.
Body
application/json
Request body for creating a new agent.
Display name of the agent.
Base system prompt fed to the agent.
Context-window management configuration.
Show child attributes
Show child attributes
ReAct loop configuration.
Show child attributes
Show child attributes
Response
Successful Response
Response body after creating an agent.
Server-assigned agent identifier.
⌘I